package Ficheros;

import VistaControlador.Menu;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Properties;

public class Configuracion {
	private static String direccion=".config";
	/**
	 * Guarda la configuracion del menu en un fichero oculto
	 * 
	 * @param menu	Menu del que se guardan los datos
	 */
	public static void guardarConfiguracion(Menu menu) {
		Properties configuracion = new Properties();
		configuracion.setProperty("ruta", menu.getRuta());
		configuracion.setProperty("tema", String.valueOf(menu.getTema()));
		try {
            configuracion.store(new FileWriter(Configuracion.direccion), "Configuracion general");
        } catch (IOException e1) {
            e1.printStackTrace();
        }
	}
	
	/**
	 * Carga la configuracion del menu
	 * 
	 * @param menu	menu en el que carga la configuracio
	 * @throws IOException
	 */
	public static void cargarConfiguracion(Menu menu) throws IOException {
		Properties configuracion = new Properties();
		try {
			configuracion.load(new FileReader(Configuracion.direccion));
		} catch (FileNotFoundException e) {
			Configuracion.guardarConfiguracion(menu);
		}
		menu.setTheme(Integer.parseInt(configuracion.getProperty("tema")));
		configuracion.getProperty("ruta");
		
	}
	
}
